org.apache.http.impl.auth

## Class NTLMScheme

- java.lang.Object
- - org.apache.http.impl.auth.AuthSchemeBase
  - - org.apache.http.impl.auth.NTLMScheme

- All Implemented Interfaces:
    AuthScheme ， ContextAwareAuthScheme

      public class NTLMScheme
      extends AuthSchemeBase

  NTLM是由Microsoft开发的专有认证方案，针对Windows平台进行了优化。
  从以下版本开始：
    4

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `challengeState`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `NTLMScheme()`
    `NTLMScheme(NTLMEngine engine)`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Header` | `authenticate(Credentials credentials, HttpRequest request)` 为给定的一组`Credentials`生成授权字符串。
    `String` | `getParameter(String name)` 返回具有给定名称的身份验证参数（如果可用）。
    `String` | `getRealm()` 返回认证领域。
    `String` | `getSchemeName()` 返回给定认证方案的文本指定。
    `boolean` | `isComplete()` 认证过程可能涉及一系列质询 - 响应交换。
    `boolean` | `isConnectionBased()` 测试认证方案是否以每个连接为基础提供授权，而不是通常的每个请求的基础
    `protected void` | `parseChallenge(CharArrayBuffer buffer, int beginIndex, int endIndex)`

    - ### Methods inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `authenticate, getChallengeState, isProxy, processChallenge, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### 构造方法详细信息

    - #### NTLMScheme

          public NTLMScheme(NTLMEngine engine)

    - #### NTLMScheme

          public NTLMScheme()

      从以下版本开始：
        4.3

  - ### 方法详细信息

    - #### getSchemeName

          public String getSchemeName()

      描述从接口`AuthScheme`复制
      返回给定认证方案的文本指定。
      结果
        给定的认证方案的名称

    - #### getParameter

          public String getParameter(String name)

      描述从接口`AuthScheme`复制
      返回具有给定名称的身份验证参数（如果可用）。
      参数
        `name` - 要返回的参数的名称
      结果
        具有给定名称的参数

    - #### getRealm

          public String getRealm()

      描述从接口`AuthScheme`复制
      返回认证领域。 如果认证领域的概念不适用于给定的认证方案，则返回`null` 。
      结果
        认证领域

    - #### isConnectionBased

          public boolean isConnectionBased()

      描述从接口`AuthScheme`复制
      测试认证方案是否以每个连接为基础提供授权，而不是通常的每个请求的基础
      结果
        `true`如果方案是基于连接的， `false`如果方案是基于请求的。

    - #### parseChallenge

          protected void parseChallenge(CharArrayBuffer buffer,
                            int beginIndex,
                            int endIndex)
                                 throws MalformedChallengeException

      Specified by:
        `parseChallenge`在 `AuthSchemeBase`
      异常
        `MalformedChallengeException`

    - #### authenticate

          public Header authenticate(Credentials credentials,
                            HttpRequest request)
                              throws AuthenticationException

      描述从接口`AuthScheme`复制
      为给定的一组`Credentials`生成一个授权字符串。
      参数
        `credentials` - 用于验证的凭证集
        `request` - 请求被认证
      结果
        授权字符串
      异常
        `AuthenticationException` - 如果由于身份验证失败而无法生成授权字符串

    - #### isComplete

          public boolean isComplete()

      说明从接口`AuthScheme`复制
      认证过程可能涉及一系列质询 - 响应交换。 该方法测试授权过程是否已成功或不成功完成，即所有必需的授权挑战都已被完整处理。
      结果
        `true`如果验证过程已经完成， `false`否则。

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585